#!/usr/bin/env bash

# flow
# check workspace
# if the workspace is a special workspace, toggle it off
# switch to workspace based on the chosen num

special_workspace=$(hyprctl monitors -j | jq -r '.[] | select(.focused) | .specialWorkspace.name')
workspace_name=${special_workspace#*:}
chosen_workspace_num=$1

if [[ -z ${chosen_workspace_num} ]]; then
  echo "Usage: $0 [number]"
  exit 1
fi

if [[ "${special_workspace}" == *"special"* ]]; then
  echo "[LOG] workspace is ${special_workspace}"
  hyprctl dispatch togglespecialworkspace "${workspace_name}"
  hyprctl dispatch workspace "${chosen_workspace_num}"
else
  echo "[ERR] workspace is not special"
  exit 1
fi

exit 0
